NetAffxResource {AffyCompatible} | R Documentation

## Create and access a NetAffxResource database

### Description

Use this function to create and access a NetAffxResource database.

### Usage

    NetAffxResource(user = character(0),
        password = character(0),
        affxLicence = "FHCRC0607",
        directory = tempdir(), ...)

### Arguments

`user` | Lenght 1 character vector containing the Affymetrix user name authorized to access the NetAffx resource.
`password` | Length 1 character vector containing the Affymetrix password of the user.
`affxLicence` | Length 1 character vector containing the Affymetrix licence (typically application specific, i.e., the specified licence covers AffyCompatible).
`directory` | (Optional) length 1 character vector providing the full path to the local directory where the NetAffx database and files will be managed. Defaults to a session-specific temporary directory.
`...` | Additional arugments, not currently used.

### Details

`NetAffxResource` creates a `NetAffxResource` object that manages a data base of NetAffx resources. The data base is located on the user file system as indicated by the `directory` arugment. It is populated when the user requests specific files.

Users should provide a `directory` argument, so that the data base can be reused across sessions. This means that large files are only downloaded once.

Additional details are provided in the vignette accompanying this package.

### Value

`NetAffxResource`.

### Author(s)

Martin Morgan

### See Also

`NetAffxResource`. The vignette `Annotations with NetAffx'.

[Package AffyCompatible version 1.2.0 Index]